# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_BooleanArray Class Reference

An array of boolean values.
.

`#include <TDataStd_BooleanArray.hxx>`

Inheritance diagram for TDataStd_BooleanArray:

[legend]

## Public Member Functions

Standard_EXPORT void | Init (const Standard_Integer lower, const Standard_Integer upper)
| Initialize the inner array with bounds from <lower> to <upper> .
Standard_EXPORT void | SetValue (const Standard_Integer index, const Standard_Boolean value)
| Sets the <index>th element of the array to <value> .
Standard_EXPORT Standard_Boolean | Value (const Standard_Integer Index) const
| Return the value of the <index>th element of the array. .
Standard_Boolean | operator() (const Standard_Integer Index) const
Standard_EXPORT Standard_Integer | Lower () const
| Returns the lower boundary of the array. .
Standard_EXPORT Standard_Integer | Upper () const
| Returns the upper boundary of the array. .
Standard_EXPORT Standard_Integer | Length () const
| Returns the number of elements in the array. .
Standard_EXPORT const Handle_TDataStd_HArray1OfByte & | InternalArray () const
Standard_EXPORT void | SetInternalArray (const Handle(TDataStd_HArray1OfByte)&values)
Standard_EXPORT | TDataStd_BooleanArray ()
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&with)
| Restores the backuped contents from <anattribute> into this one. It is used when aborting a transaction. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&into, const Handle(TDF_RelocationTable)&RT) const

This method is different from the "Copy" one,
because it is used when copying an attribute from
a source structure into a target structure. This
method may paste the contents of <me> into
<intoattribute>.
The given pasted attribute can be full or empty of
its contents. But don't make a NEW! Just set the
contents!
It is possible to use <arelocationtable> to
get/set the relocation value of a source
attribute.
.

virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &OS) const
| Dumps the minimum information about <me> on <astream>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT const Standard_GUID & | GetID ()
| Static methods ============== //! Returns an ID for array. .
static Standard_EXPORT Handle_TDataStd_BooleanArray | Set (const TDF_Label &label, const Standard_Integer lower, const Standard_Integer upper)
| Finds or creates an attribute with the array. .

## Private Attributes

Handle_TDataStd_HArray1OfByte | myValues
Standard_Integer | myLower
Standard_Integer | myUpper

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_BooleanArray::TDataStd_BooleanArray | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_OStream& TDataStd_BooleanArray::Dump | ( | Standard_OStream & | OS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

static Standard_EXPORT const Standard_GUID& TDataStd_BooleanArray::GetID | ( |  | ) | `[static]`

Standard_EXPORT const TDataStd_BooleanArray::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

Standard_EXPORT const Standard_GUID& TDataStd_BooleanArray::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_BooleanArray::Init | ( | const Standard_Integer | lower,
|  | const Standard_Integer | upper
| ) |

Standard_EXPORT const Handle_TDataStd_HArray1OfByte& TDataStd_BooleanArray::InternalArray | ( |  | ) | const

Standard_EXPORT Standard_Integer TDataStd_BooleanArray::Length | ( |  | ) | const

Standard_EXPORT Standard_Integer TDataStd_BooleanArray::Lower | ( |  | ) | const

Standard_EXPORT Handle_TDF_Attribute TDataStd_BooleanArray::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_Boolean TDataStd_BooleanArray::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

Standard_EXPORT void TDataStd_BooleanArray::Paste | ( | const Handle(TDF_Attribute)& | into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_BooleanArray::Restore | ( | const Handle(TDF_Attribute)& | with | ) | `[virtual]`

| Implements TDF_Attribute.

static Standard_EXPORT Handle_TDataStd_BooleanArray TDataStd_BooleanArray::Set | ( | const TDF_Label & | label,
|  | const Standard_Integer | lower,
|  | const Standard_Integer | upper
| ) | `[static]`

Standard_EXPORT void TDataStd_BooleanArray::SetInternalArray | ( | const Handle(TDataStd_HArray1OfByte)& | values | ) |

Standard_EXPORT void TDataStd_BooleanArray::SetValue | ( | const Standard_Integer | index,
|  | const Standard_Boolean | value
| ) |

Standard_EXPORT Standard_Integer TDataStd_BooleanArray::Upper | ( |  | ) | const

Standard_EXPORT Standard_Boolean TDataStd_BooleanArray::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Integer TDataStd_BooleanArray::myLower`[private]`

Standard_Integer TDataStd_BooleanArray::myUpper`[private]`

Handle_TDataStd_HArray1OfByte TDataStd_BooleanArray::myValues`[private]`

The documentation for this class was generated from the following file:

- TDataStd_BooleanArray.hxx